Page MenuHomePhabricator

API module to copy a claim from one item to another
Open, LowPublic

Description

Brainstormed this with Addshore on IRC just now:

A module that would take a claim's GUID and another items id, and would copy the entire claim, including references and qualifiers and would add it to the other item.

This would be extremely useful for bots which are adding the same claim to thousands of items.

Extra functionality: A &remove parameter or something that would remove the claim from the item it is currently.

Details

Reference
bz53619

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:09 AM
bzimport set Reference to bz53619.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Aug 31 2013, 9:34 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 11:24 AM
Gareth added a subscriber: Gareth.Aug 18 2016, 7:32 AM
Nikki added a subscriber: Nikki.Oct 11 2016, 11:56 AM

Another one for T150179 ?

@Esc3300 Just add them in the description field on that ticket and I'll go over them when we're doing the planning :)

Snipre added a subscriber: Snipre.

Would be good if this finally could be done. Current solution is to just leave statements on the wrong item.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 3:04 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 20 2017, 11:20 AM

Change 379582 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] [WIP] Add CopyClaim API module

https://gerrit.wikimedia.org/r/379582

Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.Oct 4 2017, 3:14 PM
WMDE-leszek added a subscriber: WMDE-leszek.

https://gerrit.wikimedia.org/r/379582 is a working proof of concept. Once decided, work on the new API module will continue.

Ladsgroup moved this task from In progress to Incoming on the User-Ladsgroup board.Nov 2 2017, 4:49 PM

Change 379582 abandoned by Ladsgroup:
[WIP] Add CopyClaim API module

Reason:
Don't have time for this. Will get to it once I'm free

https://gerrit.wikimedia.org/r/379582